RK-J - Task #3229

Feature # 3226 (Closed): Support for copilot_urls

Feature # 3227 (Closed): BE : Support for copilot_urls
Return 'showCopilot' in the response of getPurpleLinksinfoExtFull API
09/26/2023 07:02 AM - Venmuhilan B

Status: Closed Start date: 09/26/2023
Priority: Immediate Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 1.50 hour
Target version: 1-RK-J-1 Spent time: 1.50 hour
Description

IF the "copilot_urls" field is present in the datastore, and the requested "o-url" is neither a prefix in any of the "copilot_urls" nor found
within "copilot_urls,"” then set "showCopilot" to false.

ELSE
Set "showCopilot" as true for all the 3 existing cases -
https://docs.google.com/document/d/1uMTr3gKDf XxMZse9j0ys-XwTEzM32TJwDH31SAiVAOQ/edit#theading=h.2892j3w70ld3

Handle this for 0.95 and later versions

History

#1 - 09/26/2023 08:00 AM - Venmuhilan B
- Assignee set to Md Shahzar

#2 - 09/26/2023 08:42 AM - Venmuhilan B

- Description updated

#3 - 09/26/2023 09:17 AM - Md Shahzar

- Status changed from New to In Progress

#4 - 09/26/2023 10:46 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 09/26/2023 10:49 AM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#6 - 09/28/2023 04:51 AM - Venmuhilan B

- Description updated

#7 - 09/29/2023 11:51 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#8 - 10/03/2023 07:11 AM - Ram Kordale

- Priority changed from High to Immediate

#9 - 10/03/2023 12:30 PM - Venmuhilan B
- Status changed from Review to Reopened

- Assignee changed from Ayush Khandelwal to Venmuhilan B

Support for internal-ourls : The 'showCopilot' should be 'true' even if any of the "internal-ourls" is present in the "copilot_urls"
https://docs.google.com/document/d/1uMTr3gKDf_XxMZse9j0ys-XwTEzM32TJwDH31SAiVA0/edit#heading=h.28q2j3w7old3

#10 - 10/03/2023 01:36 PM - Venmuhilan B

- Status changed from Reopened to In Progress

#11 - 10/03/2023 01:36 PM - Venmuhilan B

- Status changed from In Progress to Resolved

#12 - 10/03/2023 01:36 PM - Venmuhilan B
- Status changed from Resolved to Review

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#13 - 10/05/2023 08:45 AM - Venmuhilan B

- Status changed from Review to Reopened

- Assignee changed from Ayush Khandelwal to Md Shahzar

- % Done changed from 100 to 50

Bug:

For all old books, show_copilot is coming as false. This is incorrect. If the “copilot_urls field is not present in the text file, showCopilot should come as

true for all urls of the book. so, it should be true for all the old books. Even for new books if the “copilot_urls™ field is not present, showCopilot should
be true for all urls of the book.

Add this fix - When “copilot_urls’ field is not present in the datastore, set the showCopilot as true

#14 - 10/05/2023 09:43 AM - Md Shahzar

- Status changed from Reopened to In Progress

#15 - 10/05/2023 09:43 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#16 - 10/05/2023 09:44 AM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#17 - 10/05/2023 10:29 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#18 - 10/10/2023 07:57 AM - Ayush Khandelwal
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Md Shahzar

#19 - 10/11/2023 12:32 PM - Md Shahzar

- Assignee changed from Md Shahzar to Venmuhilan B

#20 - 10/19/2023 04:56 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#21 - 11/08/2023 05:48 AM - Ram Kordale
- Status changed from Feedback to Closed

#22 - 11/13/2023 08:34 AM - Ram Kordale
- Status changed from Closed to Reopened

- Assignee changed from Ayush Khandelwal to Md Shahzar

#23 - 11/13/2023 10:02 AM - Md Shahzar

- Status changed from Reopened to In Progress
#24 - 11/13/2023 12:14 PM - Md Shahzar

- Status changed from In Progress to Resolved

#25 - 11/13/2023 12:15 PM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#26 - 11/15/2023 06:24 AM - Venmuhilan B
- Description updated

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#27 - 11/15/2023 06:25 AM - Venmuhilan B

- Description updated

#28 - 11/15/2023 06:26 AM - Venmuhilan B

- Description updated

Support : Implement Copilot URL Wildcard Matching
For the given Copilot URL pattern: "copilot_urls": ["scikit-learn.org/*blog*"], (Note: blog could be any string)
If the copilot url contains * then check if it is matching with the requested Ourl.

If the requested OURL is http:/scikit-learn.org/modulesblog/1/2/3 or https://scikit-learn.org/1/2/3/4blog5 the matching should result in "showCopilot":
true.

#29 - 11/15/2023 07:00 AM - Venmuhilan B
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Md Shahzar

#30 - 11/15/2023 09:44 AM - Venmuhilan B

- Assignee changed from Md Shahzar to Venmuhilan B

#31 - 11/15/2023 09:54 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ram Kordale

#32 - 11/22/2023 02:42 AM - Ram Kordale

- Priority changed from Immediate to Urgent

#33 - 11/22/2023 02:42 AM - Ram Kordale

- Priority changed from Urgent to Immediate

wrongly changed priority of ticket

#34 - 01/05/2024 02:54 AM - Ram Kordale
- Status changed from Feedback to Closed
http://scikit-learn.org/modulesblog/1/2/3
https://scikit-learn.org/1/2/3/4blog5
http://www.tcpdf.org

